Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603151 - Can't override filetypes with .vimrc
Can't override filetypes with .vimrc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 12:58 EDT by Scott Baker
Modified: 2011-06-27 14:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 623654 (view as bug list)
Environment:
Last Closed: 2011-06-27 14:01:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Baker 2010-06-11 12:58:37 EDT
I'm trying to setup syntax highlighting for a new type of file in vim. This requires mapping *.pde to this new type. Previously I've done this in my ~/.vimrc file. 

In Vim if I run :scriptnames I see that my ~/.vimrc in #7 and the /usr/share/vim/vim72/plugin/filetype.vim is in #8. /usr/share/vim/vim72/plugin/filetype.vim is taking precendence over my .vimrc? 

Shouldn't the users .vimrc be authoritative for things like this? Checking an older version of Fedora (Fedora 8) I see that filetype.vim has move around in precedence.

Here is the :scriptnames from Vim 7.2.411 on Fedora 13.

  1: /etc/vimrc                                     
  2: /usr/share/vim/vim72/syntax/syntax.vim
  3: /usr/share/vim/vim72/syntax/synload.vim
  4: /usr/share/vim/vim72/syntax/syncolor.vim
  5: /usr/share/vim/vim72/filetype.vim
  6: /usr/share/vim/vim72/ftplugin.vim
  7: /home/bakers/.vimrc
  8: /usr/share/vim/vim72/plugin/filetype.vim
  9: /usr/share/vim/vim72/plugin/getscriptPlugin.vim
 10: /usr/share/vim/vim72/plugin/gzip.vim
 11: /usr/share/vim/vim72/plugin/matchparen.vim
 12: /usr/share/vim/vim72/plugin/netrwPlugin.vim
 13: /usr/share/vim/vim72/plugin/rrhelper.vim
 14: /usr/share/vim/vim72/plugin/spellfile.vim
 15: /usr/share/vim/vim72/plugin/tarPlugin.vim
 16: /usr/share/vim/vim72/plugin/tohtml.vim
 17: /usr/share/vim/vim72/plugin/vimballPlugin.vim
 18: /usr/share/vim/vim72/plugin/zipPlugin.vim

Here is the :scriptnames from Vim 7.1.242 on Fedora 8.

 1: /etc/vimrc 
 2: /usr/share/vim/vim71/syntax/syntax.vim 
 3: /usr/share/vim/vim71/syntax/synload.vim
 4: /usr/share/vim/vim71/syntax/syncolor.vim 
 5: /usr/share/vim/vim71/filetype.vim
 6: /usr/share/vim/vim71/ftplugin.vim
 7: /home/bakers/.vimrc
 8: /usr/share/vim/vim71/syntax/nosyntax.vim 
 9: /home/bakers/.vim/colors/inkpot.vim
10: /usr/share/vim/vim71/plugin/getscriptPlugin.vim
11: /usr/share/vim/vim71/plugin/gzip.vim 
12: /usr/share/vim/vim71/plugin/matchit.vim
13: /usr/share/vim/vim71/plugin/matchparen.vim 
14: /usr/share/vim/vim71/plugin/netrwPlugin.vim
15: /usr/share/vim/vim71/plugin/rrhelper.vim 
16: /usr/share/vim/vim71/plugin/spellfile.vim
17: /usr/share/vim/vim71/plugin/taglist.vim
18: /usr/share/vim/vim71/plugin/tarPlugin.vim
19: /usr/share/vim/vim71/plugin/tohtml.vim 
20: /usr/share/vim/vim71/plugin/vimballPlugin.vim
21: /usr/share/vim/vim71/plugin/zipPlugin.vim
Comment 1 Till Maas 2010-08-28 19:11:24 EDT
(In reply to comment #0)
> I'm trying to setup syntax highlighting for a new type of file in vim. This
> requires mapping *.pde to this new type. Previously I've done this in my
> ~/.vimrc file. 

Maybe you need to move the config to ~/.vim/ftdetect/, as this works for my local file type detection files.
Comment 2 Bug Zapper 2011-06-02 07:12:30 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 14:01:50 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.